> ## Documentation Index
> Fetch the complete documentation index at: https://bytebeam.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new tenant



## OpenAPI

````yaml post /api/v1/tenants
openapi: 3.0.1
info:
  title: Consoled REST APIs
  description: |-
    Once you have gone through the documentation on Bytebeam Cloud, 
                                              you might want to integrate Bytebeam programmatically in your own applications. 
                                              Our REST API is available to you for performing all operations you can do on the Cloud platform UI.
  termsOfService: https://bytebeam.io/terms
  version: 0.0.1
servers:
  - url: https://cloud.bytebeam.io/
security:
  - apiKeyAuth: []
    tenantAuth: []
tags:
  - name: admin
    description: Admin APIs
  - name: devices
    description: Device Management
  - name: data
    description: Data Access APIs
  - name: logs
    description: Audit Logs
  - name: misc
    description: Miscellaneous
externalDocs:
  description: Product Documentation
  url: https://bytebeam.io/docs
paths:
  /api/v1/tenants:
    post:
      tags: []
      summary: Create a new tenant
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateTenantSchema'
          application/transit+msgpack:
            schema:
              $ref: '#/components/schemas/CreateTenantSchema'
          application/transit+json:
            schema:
              $ref: '#/components/schemas/CreateTenantSchema'
          application/edn:
            schema:
              $ref: '#/components/schemas/CreateTenantSchema'
        required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Response700'
            application/transit+msgpack:
              schema:
                $ref: '#/components/schemas/Response700'
            application/transit+json:
              schema:
                $ref: '#/components/schemas/Response700'
            application/edn:
              schema:
                $ref: '#/components/schemas/Response700'
components:
  schemas:
    CreateTenantSchema:
      required:
        - device-type
        - tenant-id
      type: object
      properties:
        tenant-id:
          type: string
        device-type:
          type: string
          enum:
            - linux
            - esp32
            - beaglebone black
            - bytebeam
            - other
            - raspberry pi
            - android
            - arduino
      additionalProperties: false
    Response700:
      required:
        - tenant
      type: object
      properties:
        tenant:
          type: string
      additionalProperties: false
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      name: x-bytebeam-api-key
      in: header
      description: API key required to authenticate requests.
    tenantAuth:
      type: apiKey
      name: x-bytebeam-tenant
      in: header
      description: Tenant(Project) name required to identify the project.

````